# Developing the main application

We assume that by now you know what the scenarios are in saaster. If not, please read [this ](/introduction/target-audience.md)chapter.

You can create your own application in the "myapp" directory.

## myApplication.cfc

If you want to write functions that actually have to be processed in application.cfc, you can use the file myApplication.cfc.

If you want to write functions that actually have to be processed in application.cfc, you can use the file myApplication.cfc. It contains the following prepared functions:

* ownApplicationStart()
* ownSessionStart()
* ownRequestStart()
* ownRequest()

All these functions are called at the corresponding point in the application.cfc.

## Navigation

The file navigation.cfm is included in the main menu. You can add to it and use it as you wish.

## login\_include.cfm

If you want to run some functions or processes after a customer logs in, you can do this in the login\_include.cfm file. This file is called at the last position after the login.

## Folder "widgets"

On the dashboard you can place various widgets that are related to your software or modules.

A widget is always programmed in a single file and called up with the "Widgets" module. More about the module here: System: Widgets

You can also get ready-made code snippets from the framework "Tabler", which we use for saaster.

{% embed url="<https://preview.tabler.io>" %}

## Design template

You will find the file view\_template.cfm in the folder "views". This gives you a nice template for your content.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saaster.io/development/develop-with-saaster/developing-the-main-application.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
